<?php

/**
 This project has been generated by worker generator
 has been made by fahmi sulaiman
 sulaimanfahmi@gmail.com
 check out my github @dekaulitz
 */

namespace App\Http\Models;
use App\Http\Base\BaseModel;

class ApplicationparameterModel extends BaseModel
{
    /**
     * table name from database
     */
    protected $table="applicationparameter";

    /**
     *   alias table for relation issues
     */
    protected $aliasTable="applicationparameter";

	/**
	* primary key from table remember eloquent doesnt support composite primary key
	*/
	protected $primaryKey = "id";
	/**
	* fillable property for eloquent attribute cast
	*/
	protected $fillable=[
		"variableValue", "date_updated"
	];
	/**
	* Creating raw object from table that, this purpose for making you easier for remembering all attribute
	*/


    /**
     * paging for default paging purpose
     * if you want to add new paging property you have to add the property in this array
     * you have to add the relation value
     * remember this is not suported casting value you have to handle by your self
    */
	protected $aliasPaging = [
		"variableName" => "applicationparameter.variableName",
		"id" => "applicationparameter.id",
		"variableValue" => "applicationparameter.variableValue",
	];


}